@echo off

rem *************************************************************************************
rem Windows batch script to compress most of the Rico library using the YUI compressor
rem Rico is Copyright 2005-2011 by Matt Brown and Richard Cowin
rem For details, see the Rico web site at http://sourceforge.net/projects/openrico/
rem *************************************************************************************

set dest=..\ricoClient\js

if exist yuicompressor-2.4.6.jar goto compress
echo This script requires Java and the YUI compressor
echo yuicompressor-2.4.6.jar should be placed in this directory before running the script.
echo Download it from http://developer.yahoo.com/yui/compressor/
goto done

rem *** Compress Javascript ***
:compress

type rico.js >all.js

type ricoUI.js >>all.js
type ricoCalendar.js >>all.js
type ricoColorPicker.js >>all.js
type ricoDragDrop.js >>all.js
type ricoSearch.js >>all.js
type ricoTree.js >>all.js

type ricoGridCommon.js >>all.js
type ricoSimpleGrid.js >>all.js
type ricoLiveGrid.js >>all.js
type ricoLiveGridControls.js >>all.js
type ricoLiveGridMenu.js >>all.js
type ricoLiveGridAjax.js >>all.js
type ricoLiveGridForms.js >>all.js

type ricoLocale_en.js >>all.js

rem Without line breaks = smallest file
rem java -jar yuicompressor-2.4.6.jar -o %dest%\rico_min.js all.js

rem With line breaks = slightly larger file, easier to debug
java -jar yuicompressor-2.4.6.jar --line-break 0 -o %dest%\rico_min.js all.js

:done
pause
